Ask Your Question
0

RoboEarth installation problem

asked 2014-02-19 03:27:09 -0500

Andrii Matviienko gravatar image

updated 2014-04-20 14:09:20 -0500

ngrennan gravatar image

Hi all,

I want to install RoboEarth on Ubuntu 12.04. So far, I followed this guide ros wiki with some minor modifications. I've done the following steps:

1.

rosinstall ~/ros /opt/ros/fuerte 'ros wiki source'

That gave me an error, so i just downloaded the roboearth.rosinstall file and used the path to that instead of the url.

2. Added "source ~/ros/setup.bash" to the .bashrc

3.

sudo apt-get install ros-fuerte-ias-common ros-fuerte-perception-pcl ros-fuerte-opencv2 ros-fuerte-octomap-mapping ros-fuerte-client-rosjava-jni libsuitesparse-dev

...and what is important but not listed there

sudo apt-get install ros-fuerte-knowrob

4.

rosmake roboearth

My problem is when I execute rosmake roboearth I get the following and cannot find a way to proceed any further:

[ rosmake ] rosmake starting...                                                 
[ rosmake ] Packages requested are: ['roboearth']                               
[ rosmake ] Logging to directory /home/$user_name/.ros/rosmake/rosmake_output-20140219-162008
[ rosmake ] Expanded args ['roboearth'] to:
['re_msgs', 're_ontology', 're_comm', 're_2dmap_extractor', 're_vision', 're_object_detector_gui', 're_object_recorder', 'ar_bounding_box', 're_kinect_object_detector', 're_srvs', 're_comm_core']
cannot find required resource: client_rosjava_jni
ROS path [0]=/opt/ros/fuerte/share/ros
ROS path [1]=/home/$user_name/fuerte_workspace/stacks/knowrob_addons
ROS path [2]=/home/$user_name/fuerte_workspace/stacks/knowrob
ROS path [3]=/home/$user_name/fuerte_workspace/pkgs/tum-ros-pkg/knowledge
ROS path [4]=/home/$user_name/fuerte_workspace/stacks/ccny_vision
ROS path [5]=/home/$user_name/fuerte_workspace/stacks/roboearth
ROS path [6]=/home/$user_name/fuerte_workspace/vision_visp
ROS path [7]=/home/$user_name/fuerte_workspace/qr
ROS path [8]=/opt/ros/fuerte/stacks
ROS path [9]=/opt/ros/fuerte/share
ROS path [10]=/opt/ros/fuerte/share/ros

Thanks in advance for you help!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2014-02-19 03:49:19 -0500

moritz gravatar image

I'm not sure if things still work in fuerte -- you can at least try to install rosjava_jni using the .deb packages. It's in the package ros-fuerte-client-rosjava-jni. Alternatively, please try to install knowrob and its dependencies from source as described here.

edit flag offensive delete link more

Comments

Thank you for your feedback, Moritz However, I already have rosjava_jni installed. I checked it's there in /opt/ros/fuerte/stacks/client_rosjava_jni . When I try to rosmake knowrob according to the procedure you mentioned it gives me the same error: cannot find required resource: client_rosjava_jni

Andrii Matviienko gravatar image Andrii Matviienko  ( 2014-02-19 20:16:13 -0500 )edit

Have you re-loaded your bashrc? It's not listed above -- just open a new terminal and use that one, or type 'source ~/.bashrc'

moritz gravatar image moritz  ( 2014-02-20 20:51:48 -0500 )edit

Yes, I did. Currently it contains those 2 lines: source /opt/ros/fuerte/setup.bash source /home/andriimatviienko/fuerte_workspace/setup.bash You also mentioned that those things might not work in fuerte. What version of ROS would you then recommend to use for roboEarth?

Andrii Matviienko gravatar image Andrii Matviienko  ( 2014-02-23 20:10:16 -0500 )edit

you tried to install the package from source? git clone https://github.com/gheorghelisca/rosjava_jni.git client_rosjava_jni maybe this will work

patrickl gravatar image patrickl  ( 2014-03-06 23:50:57 -0500 )edit

That helped! Thank you! After installation I had to add the path to it manually by 'export ROS_PACKAGE_PATH=/opt/ros/fuerte/stacks/client_rosjava_jni'. Afterwards I had the same problem with other packages from stacks folder and I manually added them to $ROS_PACKAGE_PATH, what fixed the problem

Andrii Matviienko gravatar image Andrii Matviienko  ( 2014-03-07 09:49:58 -0500 )edit

After that I had the exact same problem as listed here http://answers.ros.org/question/68773/problem-compiling-re_comm/ and deleting UnizarRoboEarthInterface.java from ~/fuerte_workspace/stacks/roboearth/re_comm/src/roboearth/wp1 fixed the problem

Andrii Matviienko gravatar image Andrii Matviienko  ( 2014-03-07 09:52:27 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-02-19 03:27:09 -0500

Seen: 470 times

Last updated: Feb 19 '14